diff --git a/sys/dev/netif/sbni/if_sbni.c b/sys/dev/netif/sbni/if_sbni.c
index f071b96..b2b5b33 100644
--- a/sys/dev/netif/sbni/if_sbni.c
+++ b/sys/dev/netif/sbni/if_sbni.c
@@ -798,7 +798,7 @@ get_rx_buf(struct sbni_softc *sc)
 {
 	struct mbuf *m;
 
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		kprintf("%s: cannot allocate header mbuf\n",
 		       sc->arpcom.ac_if.if_xname);
@@ -813,7 +813,7 @@ get_rx_buf(struct sbni_softc *sc)
 	 */
 	if (ETHER_MAX_LEN + 2 > MHLEN) {
 		/* Attach an mbuf cluster */
-		MCLGET(m, MB_DONTWAIT);
+		MCLGET(m, M_NOWAIT);
 		if ((m->m_flags & M_EXT) == 0) {
 			m_freem(m);
 			return (0);
diff --git a/sys/dev/netif/sbsh/if_sbsh.c b/sys/dev/netif/sbsh/if_sbsh.c
index 3d81414..78c3301 100644
--- a/sys/dev/netif/sbsh/if_sbsh.c
+++ b/sys/dev/netif/sbsh/if_sbsh.c
@@ -681,7 +681,7 @@ repack(struct sbsh_softc *sc, struct mbuf *m)
 {
 	struct mbuf  *m_new;
 
-	MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_new, M_NOWAIT, MT_DATA);
 	if (!m_new) {
 		if_printf (&sc->arpcom.ac_if,
 			   "unable to get mbuf.\n");
@@ -689,7 +689,7 @@ repack(struct sbsh_softc *sc, struct mbuf *m)
 	}
 
 	if (m->m_pkthdr.len > MHLEN) {
-		MCLGET(m_new, MB_DONTWAIT);
+		MCLGET(m_new, M_NOWAIT);
 		if (!(m_new->m_flags & M_EXT)) {
 			m_freem(m_new);
 			if_printf (&sc->arpcom.ac_if,
@@ -738,7 +738,7 @@ alloc_rx_buffers(struct sbsh_softc *sc)
 	struct mbuf	*m;
 
 	while (sc->tail_rq != ((sc->head_rq - 1) & (RQLEN - 1))) {
-		MGETHDR(m, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m, M_NOWAIT, MT_DATA);
 		if (!m) {
 			if_printf (&sc->arpcom.ac_if,
 				   "unable to get mbuf.\n");
@@ -746,7 +746,7 @@ alloc_rx_buffers(struct sbsh_softc *sc)
 		}
 
 		if (SBNI16_MAX_FRAME > MHLEN) {
-			MCLGET(m, MB_DONTWAIT);
+			MCLGET(m, M_NOWAIT);
 			if (!(m->m_flags & M_EXT)) {
 				m_freem(m);
 				if_printf (&sc->arpcom.ac_if,
diff --git a/sys/dev/netif/sf/if_sf.c b/sys/dev/netif/sf/if_sf.c
index 3405c80..ad44580 100644
--- a/sys/dev/netif/sf/if_sf.c
+++ b/sys/dev/netif/sf/if_sf.c
@@ -871,11 +871,11 @@ sf_newbuf(struct sf_softc *sc, struct sf_rx_bufdesc_type0 *c,
 	struct mbuf		*m_new = NULL;
 
 	if (m == NULL) {
-		MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m_new, M_NOWAIT, MT_DATA);
 		if (m_new == NULL)
 			return(ENOBUFS);
 
-		MCLGET(m_new, MB_DONTWAIT);
+		MCLGET(m_new, M_NOWAIT);
 		if (!(m_new->m_flags & M_EXT)) {
 			m_freem(m_new);
 			return(ENOBUFS);
@@ -1302,7 +1302,7 @@ again:
 				continue;
 			}
 
-			m_defragged = m_defrag(m_head, MB_DONTWAIT);
+			m_defragged = m_defrag(m_head, M_NOWAIT);
 			if (m_defragged == NULL) {
 				m_freem(m_head);
 				continue;
diff --git a/sys/dev/netif/sis/if_sis.c b/sys/dev/netif/sis/if_sis.c
index d84a657..5e0c2b5 100644
--- a/sys/dev/netif/sis/if_sis.c
+++ b/sys/dev/netif/sis/if_sis.c
@@ -1293,7 +1293,7 @@ sis_newbuf(struct sis_softc *sc, int idx, int init)
 	struct mbuf *m;
 	int nseg, error;
 
-	m = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL) {
 		if (init)
 			if_printf(&sc->arpcom.ac_if, "can't alloc RX mbuf\n");
diff --git a/sys/dev/netif/sk/if_sk.c b/sys/dev/netif/sk/if_sk.c
index 4f237b5..f961eb9 100644
--- a/sys/dev/netif/sk/if_sk.c
+++ b/sys/dev/netif/sk/if_sk.c
@@ -762,7 +762,7 @@ sk_newbuf_jumbo(struct sk_if_softc *sc_if, int idx, int wait)
 
 	KKASSERT(idx < SK_RX_RING_CNT && idx >= 0);
 
-	MGETHDR(m_new, wait ? MB_WAIT : MB_DONTWAIT, MT_DATA);
+	MGETHDR(m_new, wait ? M_WAITOK : M_NOWAIT, MT_DATA);
 	if (m_new == NULL)
 		return ENOBUFS;
 
@@ -818,7 +818,7 @@ sk_newbuf_std(struct sk_if_softc *sc_if, int idx, int wait)
 
 	KKASSERT(idx < SK_RX_RING_CNT && idx >= 0);
 
-	m_new = m_getcl(wait ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m_new = m_getcl(wait ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m_new == NULL)
 		return ENOBUFS;
 
diff --git a/sys/dev/netif/sln/if_sln.c b/sys/dev/netif/sln/if_sln.c
index 82bda0b..5086e07 100644
--- a/sys/dev/netif/sln/if_sln.c
+++ b/sys/dev/netif/sln/if_sln.c
@@ -751,14 +751,14 @@ sln_tx(struct ifnet *ifp, struct ifaltq_subque *ifsq)
 		if (m_head == NULL)
 			break;
 
-		MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m_new, M_NOWAIT, MT_DATA);
 		if (m_new == NULL) {
 			if_printf(ifp, "no memory for tx descriptor");
 			m_freem(m_head);
 			break;
 		}
 		if ((m_head->m_pkthdr.len > MHLEN) || (60 > MHLEN)) {
-			MCLGET(m_new, MB_DONTWAIT);
+			MCLGET(m_new, M_NOWAIT);
 			if (!(m_new->m_flags & M_EXT)) {
 				m_freem(m_new);
 				m_freem(m_head);
diff --git a/sys/dev/netif/sn/if_sn.c b/sys/dev/netif/sn/if_sn.c
index 03f44ec..066a07a 100644
--- a/sys/dev/netif/sn/if_sn.c
+++ b/sys/dev/netif/sn/if_sn.c
@@ -1016,7 +1016,7 @@ read_another:
 	/*
 	 * Allocate a header mbuf from the kernel.
 	 */
-	MGETHDR(m, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m, M_NOWAIT, MT_DATA);
 	if (m == NULL)
 		goto out;
 
@@ -1026,7 +1026,7 @@ read_another:
 	/*
 	 * Attach an mbuf cluster
 	 */
-	MCLGET(m, MB_DONTWAIT);
+	MCLGET(m, M_NOWAIT);
 
 	/*
 	 * Insist on getting a cluster
diff --git a/sys/dev/netif/sr/if_sr.c b/sys/dev/netif/sr/if_sr.c
index 8fc8796..fbb5661 100644
--- a/sys/dev/netif/sr/if_sr.c
+++ b/sys/dev/netif/sr/if_sr.c
@@ -1992,7 +1992,7 @@ sr_get_packets(struct sr_softc *sc)
 			       sc->unit, rxstat, len);
 #endif
 
-			MGETHDR(m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(m, M_NOWAIT, MT_DATA);
 			if (m == NULL) {
 				/*
 				 * eat (flush) packet if get mbuf fail!!
@@ -2010,7 +2010,7 @@ sr_get_packets(struct sr_softc *sc)
 #endif /* NETGRAPH */
 			m->m_pkthdr.len = m->m_len = len;
 			if (len > MHLEN) {
-				MCLGET(m, MB_DONTWAIT);
+				MCLGET(m, M_NOWAIT);
 				if ((m->m_flags & M_EXT) == 0) {
 					/*
 					 * We couldn't get a big enough
diff --git a/sys/dev/netif/ste/if_ste.c b/sys/dev/netif/ste/if_ste.c
index 4360728..10c081a 100644
--- a/sys/dev/netif/ste/if_ste.c
+++ b/sys/dev/netif/ste/if_ste.c
@@ -1024,10 +1024,10 @@ ste_newbuf(struct ste_softc *sc, struct ste_chain_onefrag *c,
 	struct mbuf		*m_new = NULL;
 
 	if (m == NULL) {
-		MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m_new, M_NOWAIT, MT_DATA);
 		if (m_new == NULL)
 			return(ENOBUFS);
-		MCLGET(m_new, MB_DONTWAIT);
+		MCLGET(m_new, M_NOWAIT);
 		if (!(m_new->m_flags & M_EXT)) {
 			m_freem(m_new);
 			return(ENOBUFS);
@@ -1378,13 +1378,13 @@ encap_retry:
 		 * mbuf chain first. Bail out if we can't get the
 		 * new buffers.  Code borrowed from if_fxp.c.
 		 */
-		MGETHDR(mn, MB_DONTWAIT, MT_DATA);
+		MGETHDR(mn, M_NOWAIT, MT_DATA);
 		if (mn == NULL) {
 			m_freem(m_head);
 			return ENOMEM;
 		}
 		if (m_head->m_pkthdr.len > MHLEN) {
-			MCLGET(mn, MB_DONTWAIT);
+			MCLGET(mn, M_NOWAIT);
 			if ((mn->m_flags & M_EXT) == 0) {
 				m_freem(mn);
 				m_freem(m_head);
diff --git a/sys/dev/netif/stge/if_stge.c b/sys/dev/netif/stge/if_stge.c
index 3a36181..31dc548 100644
--- a/sys/dev/netif/stge/if_stge.c
+++ b/sys/dev/netif/stge/if_stge.c
@@ -1528,7 +1528,7 @@ stge_fixup_rx(struct stge_softc *sc, struct mbuf *m)
 		m->m_data += ETHER_HDR_LEN;
 		n = m;
 	} else {
-		MGETHDR(n, MB_DONTWAIT, MT_DATA);
+		MGETHDR(n, M_NOWAIT, MT_DATA);
 		if (n != NULL) {
 			bcopy(m->m_data, n->m_data, ETHER_HDR_LEN);
 			m->m_data += ETHER_HDR_LEN;
@@ -2325,7 +2325,7 @@ stge_newbuf(struct stge_softc *sc, int idx, int waitok)
 	bus_dmamap_t map;
 	int error, nseg;
 
-	m = m_getcl(waitok ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m = m_getcl(waitok ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m == NULL)
 		return ENOBUFS;
 	m->m_len = m->m_pkthdr.len = MCLBYTES;
diff --git a/sys/dev/netif/ti/if_ti.c b/sys/dev/netif/ti/if_ti.c
index 2dc4609..b37c3b9 100644
--- a/sys/dev/netif/ti/if_ti.c
+++ b/sys/dev/netif/ti/if_ti.c
@@ -692,7 +692,7 @@ ti_newbuf_std(struct ti_softc *sc, int i, struct mbuf *m)
 	struct ti_rx_desc *r;
 
 	if (m == NULL) {
-		m_new = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		m_new = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (m_new == NULL)
 			return (ENOBUFS);
 		m_new->m_len = m_new->m_pkthdr.len = MCLBYTES;
@@ -728,7 +728,7 @@ ti_newbuf_mini(struct ti_softc *sc, int i, struct mbuf *m)
 	struct ti_rx_desc *r;
 
 	if (m == NULL) {
-		MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m_new, M_NOWAIT, MT_DATA);
 		if (m_new == NULL) {
 			return(ENOBUFS);
 		}
@@ -766,7 +766,7 @@ ti_newbuf_jumbo(struct ti_softc *sc, int i, struct mbuf *m)
 
 	if (m == NULL) {
 		/* Allocate the mbuf. */
-		MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m_new, M_NOWAIT, MT_DATA);
 		if (m_new == NULL) {
 			return(ENOBUFS);
 		}
diff --git a/sys/dev/netif/tl/if_tl.c b/sys/dev/netif/tl/if_tl.c
index 02171ac..0057a57 100644
--- a/sys/dev/netif/tl/if_tl.c
+++ b/sys/dev/netif/tl/if_tl.c
@@ -1345,7 +1345,7 @@ tl_newbuf(struct tl_softc *sc, struct tl_chain_onefrag *c)
 {
 	struct mbuf *m_new;
 
-	m_new = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m_new = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m_new == NULL)
 		return (ENOBUFS);
 
@@ -1771,7 +1771,7 @@ tl_encap(struct tl_softc *sc, struct tl_chain *c, struct mbuf *m_head)
 	if (m != NULL) {
 		struct mbuf *m_new;
 
-		m_new = m_getl(m_head->m_pkthdr.len, MB_DONTWAIT, MT_DATA,
+		m_new = m_getl(m_head->m_pkthdr.len, M_NOWAIT, MT_DATA,
 			       M_PKTHDR, NULL);
 		if (m_new == NULL) {
 			if_printf(&sc->arpcom.ac_if, "no memory for tx list\n");
diff --git a/sys/dev/netif/tx/if_tx.c b/sys/dev/netif/tx/if_tx.c
index caf4820..7c66ce7 100644
--- a/sys/dev/netif/tx/if_tx.c
+++ b/sys/dev/netif/tx/if_tx.c
@@ -510,7 +510,7 @@ epic_ifstart(struct ifnet *ifp, struct ifaltq_subque *ifsq)
 		/* If packet was more than EPIC_MAX_FRAGS parts, */
 		/* recopy packet to new allocated mbuf cluster */
 		if (NULL != m) {
-			m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+			m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 			if (NULL == m) {
 				m_freem(m0);
 				IFNET_STAT_INC(ifp, oerrors, 1);
@@ -584,7 +584,7 @@ epic_rx_done(epic_softc_t *sc)
 		m = buf->mbuf;
 
 		/* Try to get mbuf cluster */
-		buf->mbuf = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		buf->mbuf = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (NULL == buf->mbuf) {
 			buf->mbuf = m;
 			desc->status = 0x8000;
@@ -1289,7 +1289,7 @@ epic_queue_last_packet(epic_softc_t *sc)
 	if ((desc->status & 0x8000) || (buf->mbuf != NULL))
 		return (EBUSY);
 
-	MGETHDR(m0, MB_DONTWAIT, MT_DATA);
+	MGETHDR(m0, M_NOWAIT, MT_DATA);
 	if (NULL == m0)
 		return (ENOBUFS);
 
@@ -1420,7 +1420,7 @@ epic_init_rings(epic_softc_t *sc)
 			return EFAULT;
 		}
 
-		buf->mbuf = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		buf->mbuf = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (NULL == buf->mbuf) {
 			epic_free_rings(sc);
 			return ENOBUFS;
diff --git a/sys/dev/netif/txp/if_txp.c b/sys/dev/netif/txp/if_txp.c
index 0042f51..f97bb29 100644
--- a/sys/dev/netif/txp/if_txp.c
+++ b/sys/dev/netif/txp/if_txp.c
@@ -686,13 +686,13 @@ txp_rx_reclaim(struct txp_softc *sc, struct txp_rx_ring *r)
 			 */
 			struct mbuf *mnew;
 
-			MGETHDR(mnew, MB_DONTWAIT, MT_DATA);
+			MGETHDR(mnew, M_NOWAIT, MT_DATA);
 			if (mnew == NULL) {
 				m_freem(m);
 				goto next;
 			}
 			if (m->m_len > (MHLEN - 2)) {
-				MCLGET(mnew, MB_DONTWAIT);
+				MCLGET(mnew, M_NOWAIT);
 				if (!(mnew->m_flags & M_EXT)) {
 					m_freem(mnew);
 					m_freem(m);
@@ -764,11 +764,11 @@ txp_rxbuf_reclaim(struct txp_softc *sc)
 		if (sd->sd_mbuf != NULL)
 			break;
 
-		MGETHDR(sd->sd_mbuf, MB_DONTWAIT, MT_DATA);
+		MGETHDR(sd->sd_mbuf, M_NOWAIT, MT_DATA);
 		if (sd->sd_mbuf == NULL)
 			goto err_sd;
 
-		MCLGET(sd->sd_mbuf, MB_DONTWAIT);
+		MCLGET(sd->sd_mbuf, M_NOWAIT);
 		if ((sd->sd_mbuf->m_flags & M_EXT) == 0)
 			goto err_mbuf;
 		sd->sd_mbuf->m_pkthdr.rcvif = ifp;
@@ -1047,11 +1047,11 @@ txp_rxring_fill(struct txp_softc *sc)
 
 	for (i = 0; i < RXBUF_ENTRIES; i++) {
 		sd = sc->sc_rxbufs[i].rb_sd;
-		MGETHDR(sd->sd_mbuf, MB_DONTWAIT, MT_DATA);
+		MGETHDR(sd->sd_mbuf, M_NOWAIT, MT_DATA);
 		if (sd->sd_mbuf == NULL)
 			return(ENOBUFS);
 
-		MCLGET(sd->sd_mbuf, MB_DONTWAIT);
+		MCLGET(sd->sd_mbuf, M_NOWAIT);
 		if ((sd->sd_mbuf->m_flags & M_EXT) == 0) {
 			m_freem(sd->sd_mbuf);
 			return(ENOBUFS);
@@ -1230,7 +1230,7 @@ again:
 				goto oactive;
 			}
 
-			m_defragged = m_defrag(m, MB_DONTWAIT);
+			m_defragged = m_defrag(m, M_NOWAIT);
 			if (m_defragged == NULL) {
 				m_freem(m);
 				continue;
diff --git a/sys/dev/netif/vge/if_vge.c b/sys/dev/netif/vge/if_vge.c
index f3bc6b4..74ead1e 100644
--- a/sys/dev/netif/vge/if_vge.c
+++ b/sys/dev/netif/vge/if_vge.c
@@ -1112,7 +1112,7 @@ vge_newbuf(struct vge_softc *sc, int idx, struct mbuf *m)
 	int i, error;
 
 	if (m == NULL) {
-		n = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		n = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (n == NULL)
 			return (ENOBUFS);
 		m = n;
@@ -1638,7 +1638,7 @@ vge_encap(struct vge_softc *sc, struct mbuf *m_head, int idx)
 	if (error || arg.vge_maxsegs == 0) {
 		struct mbuf *m_new;
 
-		m_new = m_defrag(m_head, MB_DONTWAIT);
+		m_new = m_defrag(m_head, M_NOWAIT);
 		if (m_new == NULL) {
 			error = ENOBUFS;
 			goto fail;
diff --git a/sys/dev/netif/vr/if_vr.c b/sys/dev/netif/vr/if_vr.c
index eda67d8..4e8da76 100644
--- a/sys/dev/netif/vr/if_vr.c
+++ b/sys/dev/netif/vr/if_vr.c
@@ -930,7 +930,7 @@ vr_newbuf(struct vr_softc *sc, struct vr_chain_onefrag *c, struct mbuf *m)
 	struct mbuf *m_new = NULL;
 
 	if (m == NULL) {
-		m_new = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		m_new = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (m_new == NULL)
 			return (ENOBUFS);
 		m_new->m_len = m_new->m_pkthdr.len = MCLBYTES;
diff --git a/sys/dev/netif/vx/if_vx.c b/sys/dev/netif/vx/if_vx.c
index 513aa43..4a15c85 100644
--- a/sys/dev/netif/vx/if_vx.c
+++ b/sys/dev/netif/vx/if_vx.c
@@ -28,8 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  * $FreeBSD: src/sys/dev/vx/if_vx.c,v 1.25.2.6 2002/02/13 00:43:10 dillon Exp $
- * $DragonFly: src/sys/dev/netif/vx/if_vx.c,v 1.29 2008/05/14 11:59:22 sephe Exp $
- *
  */
 
 /*
@@ -738,7 +736,7 @@ vxget(struct vx_softc *sc, u_int totlen)
     m = sc->mb[sc->next_mb];
     sc->mb[sc->next_mb] = NULL;
     if (m == NULL) {
-        MGETHDR(m, MB_DONTWAIT, MT_DATA);
+        MGETHDR(m, M_NOWAIT, MT_DATA);
         if (m == NULL)
             return NULL;
     } else {
@@ -777,7 +775,7 @@ vxget(struct vx_softc *sc, u_int totlen)
             m = sc->mb[sc->next_mb];
             sc->mb[sc->next_mb] = NULL;
             if (m == NULL) {
-                MGET(m, MB_DONTWAIT, MT_DATA);
+                MGET(m, M_NOWAIT, MT_DATA);
                 if (m == NULL) {
                     crit_exit();
                     m_freem(top);
@@ -789,7 +787,7 @@ vxget(struct vx_softc *sc, u_int totlen)
             len = MLEN;
         }
         if (totlen >= MINCLSIZE) {
-	    MCLGET(m, MB_DONTWAIT);
+	    MCLGET(m, M_NOWAIT);
 	    if (m->m_flags & M_EXT)
 		len = MCLBYTES;
         }
@@ -963,7 +961,7 @@ vxmbuffill_serialized(void *sp)
     i = sc->last_mb;
     do {
 	if (sc->mb[i] == NULL)
-	    MGET(sc->mb[i], MB_DONTWAIT, MT_DATA);
+	    MGET(sc->mb[i], M_NOWAIT, MT_DATA);
 	if (sc->mb[i] == NULL)
 	    break;
 	i = (i + 1) % MAX_MBS;
diff --git a/sys/dev/netif/wb/if_wb.c b/sys/dev/netif/wb/if_wb.c
index 66c8147..71081aa 100644
--- a/sys/dev/netif/wb/if_wb.c
+++ b/sys/dev/netif/wb/if_wb.c
@@ -929,7 +929,7 @@ wb_newbuf(struct wb_softc *sc, struct wb_chain_onefrag *c, struct mbuf *m)
 	struct mbuf *m_new = NULL;
 
 	if (m == NULL) {
-		MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m_new, M_NOWAIT, MT_DATA);
 		if (m_new == NULL)
 			return(ENOBUFS);
 
@@ -1247,11 +1247,11 @@ wb_encap(struct wb_softc *sc, struct wb_chain *c, struct mbuf *m_head)
 	if (m != NULL) {
 		struct mbuf *m_new = NULL;
 
-		MGETHDR(m_new, MB_DONTWAIT, MT_DATA);
+		MGETHDR(m_new, M_NOWAIT, MT_DATA);
 		if (m_new == NULL)
 			return(1);
 		if (m_head->m_pkthdr.len > MHLEN) {
-			MCLGET(m_new, MB_DONTWAIT);
+			MCLGET(m_new, M_NOWAIT);
 			if ((m_new->m_flags & M_EXT) == 0) {
 				m_freem(m_new);
 				return(1);
diff --git a/sys/dev/netif/wi/if_wi.c b/sys/dev/netif/wi/if_wi.c
index 8ce6b3f..e3a590f 100644
--- a/sys/dev/netif/wi/if_wi.c
+++ b/sys/dev/netif/wi/if_wi.c
@@ -1319,9 +1319,9 @@ wi_rx_intr(struct wi_softc *sc)
 	}
 
 	if (off + len > MHLEN)
-		m = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		m = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 	else
-		m = m_gethdr(MB_DONTWAIT, MT_DATA);
+		m = m_gethdr(M_NOWAIT, MT_DATA);
 	if (m == NULL) {
 		CSR_WRITE_2(sc, WI_EVENT_ACK, WI_EV_RX);
 		IFNET_STAT_INC(ifp, ierrors, 1);
diff --git a/sys/dev/netif/wpi/if_wpi.c b/sys/dev/netif/wpi/if_wpi.c
index 67cb525..dcf65fe 100644
--- a/sys/dev/netif/wpi/if_wpi.c
+++ b/sys/dev/netif/wpi/if_wpi.c
@@ -999,7 +999,7 @@ wpi_alloc_rx_ring(struct wpi_softc *sc, struct wpi_rx_ring *ring)
 			    __func__, error);
 			goto fail;
 		}
-		m = m_getjcl(MB_DONTWAIT, MT_DATA, M_PKTHDR, MJUMPAGESIZE);
+		m = m_getjcl(M_NOWAIT, MT_DATA, M_PKTHDR, MJUMPAGESIZE);
 		if (m == NULL) {
 			device_printf(sc->sc_dev,
 			   "%s: could not allocate rx mbuf\n", __func__);
@@ -1495,7 +1495,7 @@ wpi_rx_intr(struct wpi_softc *sc, struct wpi_rx_desc *desc,
 	}
 
 	/* XXX don't need mbuf, just dma buffer */
-	mnew = m_getjcl(MB_DONTWAIT, MT_DATA, M_PKTHDR, MJUMPAGESIZE);
+	mnew = m_getjcl(M_NOWAIT, MT_DATA, M_PKTHDR, MJUMPAGESIZE);
 	if (mnew == NULL) {
 		DPRINTFN(WPI_DEBUG_RX, ("%s: no mbuf to restock ring\n",
 		    __func__));
@@ -1960,7 +1960,7 @@ wpi_tx_data(struct wpi_softc *sc, struct mbuf *m0, struct ieee80211_node *ni,
 	}
 	if (error != 0) {
 		/* XXX use m_collapse */
-		mnew = m_defrag(m0, MB_DONTWAIT);
+		mnew = m_defrag(m0, M_NOWAIT);
 		if (mnew == NULL) {
 			device_printf(sc->sc_dev,
 			    "could not defragment mbuf\n");
@@ -2559,7 +2559,7 @@ wpi_scan(struct wpi_softc *sc)
 	desc = &ring->desc[ring->cur];
 	data = &ring->data[ring->cur];
 
-	data->m = m_getjcl(MB_DONTWAIT, MT_DATA, M_PKTHDR, MJUMPAGESIZE);
+	data->m = m_getjcl(M_NOWAIT, MT_DATA, M_PKTHDR, MJUMPAGESIZE);
 	if (data->m == NULL) {
 		device_printf(sc->sc_dev,
 		    "could not allocate mbuf for scan command\n");
diff --git a/sys/dev/netif/xe/if_xe.c b/sys/dev/netif/xe/if_xe.c
index c061e64..a2a4e9c 100644
--- a/sys/dev/netif/xe/if_xe.c
+++ b/sys/dev/netif/xe/if_xe.c
@@ -765,14 +765,14 @@ xe_intr(void *xscp)
 	 * packet length (we always read 16-bit words).
 	 * XXX - Surely there's a better way to do this alignment?
 	 */
-	MGETHDR(mbp, MB_DONTWAIT, MT_DATA);
+	MGETHDR(mbp, M_NOWAIT, MT_DATA);
 	if (mbp == NULL) {
 	  IFNET_STAT_INC(ifp, iqdrops, 1);
 	  continue;
 	}
 
 	if (len + 3 > MHLEN) {
-	  MCLGET(mbp, MB_DONTWAIT);
+	  MCLGET(mbp, M_NOWAIT);
 	  if ((mbp->m_flags & M_EXT) == 0) {
 	    m_freem(mbp);
 	    IFNET_STAT_INC(ifp, iqdrops, 1);
diff --git a/sys/dev/netif/xl/if_xl.c b/sys/dev/netif/xl/if_xl.c
index 0bd5632..692b892 100644
--- a/sys/dev/netif/xl/if_xl.c
+++ b/sys/dev/netif/xl/if_xl.c
@@ -1881,7 +1881,7 @@ xl_newbuf(struct xl_softc *sc, struct xl_chain_onefrag *c, int init)
 	int			error, nsegs;
 	bus_dma_segment_t	seg;
 
-	m_new = m_getcl(init ? MB_WAIT : MB_DONTWAIT, MT_DATA, M_PKTHDR);
+	m_new = m_getcl(init ? M_WAITOK : M_NOWAIT, MT_DATA, M_PKTHDR);
 	if (m_new == NULL)
 		return(ENOBUFS);
 
diff --git a/sys/dev/virtual/virtio/net/if_vtnet.c b/sys/dev/virtual/virtio/net/if_vtnet.c
index 7277c1d..f4d8356 100644
--- a/sys/dev/virtual/virtio/net/if_vtnet.c
+++ b/sys/dev/virtual/virtio/net/if_vtnet.c
@@ -1184,7 +1184,7 @@ vtnet_alloc_rxbuf(struct vtnet_softc *sc, int nbufs, struct mbuf **m_tailp)
 
 	/*use getcl instead of getjcl. see  if_mxge.c comment line 2398*/
 	//m_head = m_getjcl(M_DONTWAIT, MT_DATA, M_PKTHDR, clsize);
-	m_head = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR );
+	m_head = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR );
 	if (m_head == NULL)
 		goto fail;
 
@@ -1197,7 +1197,7 @@ vtnet_alloc_rxbuf(struct vtnet_softc *sc, int nbufs, struct mbuf **m_tailp)
 
 		for (i = 0; i < nbufs - 1; i++) {
 			//m = m_getjcl(M_DONTWAIT, MT_DATA, 0, clsize);
-			m = m_getcl(MB_DONTWAIT, MT_DATA, 0);
+			m = m_getcl(M_NOWAIT, MT_DATA, 0);
 			if (m == NULL)
 				goto fail;
 
@@ -1855,8 +1855,8 @@ again:
 		if (collapsed)
 			goto fail;
 
-		//m = m_collapse(m, MB_DONTWAIT, VTNET_MAX_TX_SEGS - 1);
-		m = m_defrag(m, MB_DONTWAIT);
+		//m = m_collapse(m, MB_NOWAIT, VTNET_MAX_TX_SEGS - 1);
+		m = m_defrag(m, M_NOWAIT);
 		if (m == NULL)
 			goto fail;
 
@@ -1883,13 +1883,13 @@ vtnet_vlan_tag_insert(struct mbuf *m)
 	struct ether_vlan_header *evl;
 
 	if (M_WRITABLE(m) == 0) {
-		n = m_dup(m, MB_DONTWAIT);
+		n = m_dup(m, M_NOWAIT);
 		m_freem(m);
 		if ((m = n) == NULL)
 			return (NULL);
 	}
 
-	M_PREPEND(m, ETHER_VLAN_ENCAP_LEN, MB_DONTWAIT);
+	M_PREPEND(m, ETHER_VLAN_ENCAP_LEN, M_NOWAIT);
 	if (m == NULL)
 		return (NULL);
 	if (m->m_len < sizeof(struct ether_vlan_header)) {
diff --git a/sys/dev/virtual/vkernel/net/if_vke.c b/sys/dev/virtual/vkernel/net/if_vke.c
index 87ff9c1..11a8176 100644
--- a/sys/dev/virtual/vkernel/net/if_vke.c
+++ b/sys/dev/virtual/vkernel/net/if_vke.c
@@ -316,7 +316,8 @@ vke_init(void *xsc)
 	sc->sc_rxfifo->array = kmalloc(ringsize, M_DEVBUF, M_WAITOK | M_ZERO);
 
 	for (i = 0; i < sc->sc_ringsize; i++) {
-		sc->sc_rxfifo->array[i] = m_getcl(MB_WAIT, MT_DATA, M_PKTHDR);
+		sc->sc_rxfifo->array[i] = m_getcl(M_WAITOK, MT_DATA,
+						  M_PKTHDR);
 		sc->sc_txfifo->array[i] = NULL;
 		sc->sc_txfifo_done->array[i] = NULL;
 	}
@@ -536,7 +537,7 @@ vke_rx_intr(cothread_t cotd)
 	cothread_unlock(cotd, 0);
 
 	while ((m = vke_rxfifo_sniff(sc)) != NULL) {
-		nm = m_getcl(MB_DONTWAIT, MT_DATA, M_PKTHDR);
+		nm = m_getcl(M_NOWAIT, MT_DATA, M_PKTHDR);
 		if (nm) {
 			vke_rxfifo_dequeue(sc, nm);
 			ifp->if_input(ifp, m, NULL, -1);
diff --git a/sys/emulation/43bsd/43bsd_socket.c b/sys/emulation/43bsd/43bsd_socket.c
index d50b05e..bfd67dd 100644
--- a/sys/emulation/43bsd/43bsd_socket.c
+++ b/sys/emulation/43bsd/43bsd_socket.c
@@ -274,7 +274,7 @@ sys_osendmsg(struct osendmsg_args *uap)
 			error = EINVAL;
 			goto cleanup;
 		}
-		control = m_get(MB_WAIT, MT_CONTROL);
+		control = m_get(M_WAITOK, MT_CONTROL);
 		if (control == NULL) {
 			error = ENOBUFS;
 			goto cleanup;
@@ -293,7 +293,7 @@ sys_osendmsg(struct osendmsg_args *uap)
 		 * control data with the proper cmsghdr structure
 		 * so that the kernel recognizes it as access rights.
 		 */
-		M_PREPEND(control, sizeof(*cm), MB_WAIT);
+		M_PREPEND(control, sizeof(*cm), M_WAITOK);
 		if (control == NULL) {
 			error = ENOBUFS;
 			goto cleanup;
diff --git a/sys/emulation/linux/linux_socket.c b/sys/emulation/linux/linux_socket.c
index 5912a55..633a728 100644
--- a/sys/emulation/linux/linux_socket.c
+++ b/sys/emulation/linux/linux_socket.c
@@ -868,7 +868,7 @@ linux_sendmsg(struct linux_sendmsg_args *args, size_t *res)
 			error = EINVAL;
 			goto cleanup;
 		}
-		control = m_get(MB_WAIT, MT_CONTROL);
+		control = m_get(M_WAITOK, MT_CONTROL);
 		if (control == NULL) {
 			error = ENOBUFS;
 			goto cleanup;
diff --git a/sys/emulation/ndis/kern_ndis.c b/sys/emulation/ndis/kern_ndis.c
index 5143334..b10282a 100644
--- a/sys/emulation/ndis/kern_ndis.c
+++ b/sys/emulation/ndis/kern_ndis.c
@@ -668,9 +668,9 @@ ndis_ptom(struct mbuf **m0, ndis_packet *p)
 	for (buf = priv->npp_head; buf != NULL; buf = buf->mdl_next) {
 		if (buf == priv->npp_head) {
 			/* XXX swildner: why not MT_HEADER? (see FreeBSD) */
-			MGETHDR(m, MB_DONTWAIT, MT_DATA);
+			MGETHDR(m, M_NOWAIT, MT_DATA);
 		} else {
-			MGET(m, MB_DONTWAIT, MT_DATA);
+			MGET(m, M_NOWAIT, MT_DATA);
 		}
 		if (m == NULL) {
 			m_freem(*m0);
diff --git a/sys/kern/libmchain/subr_mchain.c b/sys/kern/libmchain/subr_mchain.c
index f62de35..8ba5da5 100644
--- a/sys/kern/libmchain/subr_mchain.c
+++ b/sys/kern/libmchain/subr_mchain.c
@@ -71,7 +71,7 @@ mb_init(struct mbchain *mbp)
 {
 	struct mbuf *m;
 
-	m = m_gethdr(MB_WAIT, MT_DATA);
+	m = m_gethdr(M_WAITOK, MT_DATA);
 	if (m == NULL) 
 		return ENOBUFS;
 	m->m_pkthdr.rcvif = NULL;
@@ -129,7 +129,7 @@ mb_reserve(struct mbchain *mbp, int size)
 		panic("mb_reserve: size = %d", size);
 	m = mbp->mb_cur;
 	if (mbp->mb_mleft < size) {
-		mn = m_get(MB_WAIT, MT_DATA);
+		mn = m_get(M_WAITOK, MT_DATA);
 		if (mn == NULL)
 			return NULL;
 		mbp->mb_cur = m->m_next = mn;
@@ -207,7 +207,7 @@ mb_put_mem(struct mbchain *mbp, c_caddr_t source, int size, int type)
 	while (size > 0) {
 		if (mleft == 0) {
 			if (m->m_next == NULL) {
-				m->m_next = m_getc(size, MB_WAIT, MT_DATA);
+				m->m_next = m_getc(size, M_WAITOK, MT_DATA);
 				if (m->m_next == NULL)
 					return ENOBUFS;
 			}
@@ -311,7 +311,7 @@ md_init(struct mdchain *mdp)
 {
 	struct mbuf *m;
 
-	m = m_gethdr(MB_WAIT, MT_DATA);
+	m = m_gethdr(M_WAITOK, MT_DATA);
 	if (m == NULL) 
 		return ENOBUFS;
 	m->m_pkthdr.rcvif = NULL;
@@ -520,7 +520,7 @@ md_get_mbuf(struct mdchain *mdp, int size, struct mbuf **ret)
 {
 	struct mbuf *m = mdp->md_cur, *rm;
 
-	rm = m_copym(m, mdp->md_pos - mtod(m, u_char*), size, MB_WAIT);
+	rm = m_copym(m, mdp->md_pos - mtod(m, u_char*), size, M_WAITOK);
 	if (rm == NULL)
 		return EBADRPC;
 	md_get_mem(mdp, NULL, size, MB_MZERO);
diff --git a/sys/kern/subr_busdma.c b/sys/kern/subr_busdma.c
index 3e4e797..41a015b 100644
--- a/sys/kern/subr_busdma.c
+++ b/sys/kern/subr_busdma.c
@@ -129,7 +129,7 @@ bus_dmamap_load_mbuf_defrag(bus_dma_tag_t dmat, bus_dmamap_t map,
 	if (error == EFBIG) {
 		struct mbuf *m_new;
 
-		m_new = m_defrag(m, MB_DONTWAIT);
+		m_new = m_defrag(m, M_NOWAIT);
 		if (m_new == NULL)
 			return ENOBUFS;
 		else
diff --git a/sys/kern/uipc_mbuf.c b/sys/kern/uipc_mbuf.c
index a4bc987..81fa933 100644
--- a/sys/kern/uipc_mbuf.c
+++ b/sys/kern/uipc_mbuf.c
@@ -847,14 +847,14 @@ m_get(int how, int type)
 {
 	struct mbuf *m;
 	int ntries = 0;
-	int ocf = MBTOM(how);
+	int ocf = MB_OCFLAG(how);
 
 retryonce:
 
 	m = objcache_get(mbuf_cache, ocf);
 
 	if (m == NULL) {
-		if ((how & MB_TRYWAIT) && ntries++ == 0) {
+		if ((ocf & M_WAITOK) && ntries++ == 0) {
 			struct objcache *reclaimlist[] = {
 				mbufphdr_cache,
 				mbufcluster_cache,
@@ -884,7 +884,7 @@ struct mbuf *
 m_gethdr(int how, int type)
 {
 	struct mbuf *m;
-	int ocf = MBTOM(how);
+	int ocf = MB_OCFLAG(how);
 	int ntries = 0;
 
 retryonce:
@@ -892,7 +892,7 @@ retryonce:
 	m = objcache_get(mbufphdr_cache, ocf);
 
 	if (m == NULL) {
-		if ((how & MB_TRYWAIT) && ntries++ == 0) {
+		if ((ocf & M_WAITOK) && ntries++ == 0) {
 			struct objcache *reclaimlist[] = {
 				mbuf_cache,
 				mbufcluster_cache, mbufphdrcluster_cache,
@@ -937,7 +937,7 @@ m_getcl_cache(int how, short type, int flags, struct objcache *mbclc,
     struct objcache *mbphclc, u_long *cl_stats)
 {
 	struct mbuf *m = NULL;
-	int ocflags = MBTOM(how);
+	int ocflags = MB_OCFLAG(how);
 	int ntries = 0;
 
 retryonce:
@@ -948,7 +948,7 @@ retryonce:
 		m = objcache_get(mbclc, ocflags);
 
 	if (m == NULL) {
-		if ((how & MB_TRYWAIT) && ntries++ == 0) {
+		if ((ocflags & M_WAITOK) && ntries++ == 0) {
 			struct objcache *reclaimlist[1];
 
 			if (flags & M_PKTHDR)
@@ -1077,7 +1077,7 @@ m_mclget(struct mbuf *m, int how)
 	struct mbcluster *mcl;
 
 	KKASSERT((m->m_flags & M_EXT) == 0);
-	mcl = objcache_get(mclmeta_cache, MBTOM(how));
+	mcl = objcache_get(mclmeta_cache, MB_OCFLAG(how));
 	if (mcl != NULL) {
 		linkcluster(m, mcl);
 		++mbstat[mycpu->gd_cpuid].m_clusters;
@@ -1363,7 +1363,7 @@ m_prepend(struct mbuf *m, int len, int how)
 /*
  * Make a copy of an mbuf chain starting "off0" bytes from the beginning,
  * continuing for "len" bytes.  If len is M_COPYALL, copy to end of mbuf.
- * The wait parameter is a choice of MB_WAIT/MB_DONTWAIT from caller.
+ * The wait parameter is a choice of M_WAITOK/M_NOWAIT from caller.
  * Note that the copy is read-only, because clusters are not copied,
  * only their reference counts are incremented.
  */
@@ -1601,8 +1601,8 @@ nospace0:
  * copying any mbuf clusters.  This is typically used to realign a data
  * chain by nfs_realign().
  *
- * The original chain is left intact.  how should be MB_WAIT or MB_DONTWAIT
- * and NULL can be returned if MB_DONTWAIT is passed.
+ * The original chain is left intact.  how should be M_WAITOK or M_NOWAIT
+ * and NULL can be returned if M_NOWAIT is passed.
  *
  * Be careful to use cluster mbufs, a large mbuf chain converted to non
  * cluster mbufs can exhaust our supply of mbufs.
@@ -1964,9 +1964,9 @@ m_pullup(struct mbuf *n, int len)
 		if (len > MHLEN)
 			goto bad;
 		if (n->m_flags & M_PKTHDR)
-			m = m_gethdr(MB_DONTWAIT, n->m_type);
+			m = m_gethdr(M_NOWAIT, n->m_type);
 		else
-			m = m_get(MB_DONTWAIT, n->m_type);
+			m = m_get(M_NOWAIT, n->m_type);
 		if (m == NULL)
 			goto bad;
 		m->m_len = 0;
@@ -2086,7 +2086,7 @@ m_devget(char *buf, int len, int offset, struct ifnet *ifp,
 	flags = M_PKTHDR;
 
 	while (len > 0) {
-		m = m_getl(len, MB_DONTWAIT, MT_DATA, flags, &nsize);
+		m = m_getl(len, M_NOWAIT, MT_DATA, flags, &nsize);
 		if (m == NULL) {
 			m_freem(mfirst);
 			return (NULL);
@@ -2141,7 +2141,7 @@ m_devpad(struct mbuf *m, int padto)
 			struct mbuf *n;
 
 			/* Allocate new empty mbuf, pad it.  Compact later. */
-			MGET(n, MB_DONTWAIT, MT_DATA);
+			MGET(n, M_NOWAIT, MT_DATA);
 			if (n == NULL)
 				return ENOBUFS;
 			n->m_len = 0;
@@ -2177,7 +2177,7 @@ m_copyback(struct mbuf *m0, int off, int len, caddr_t cp)
 		off -= mlen;
 		totlen += mlen;
 		if (m->m_next == NULL) {
-			n = m_getclr(MB_DONTWAIT, m->m_type);
+			n = m_getclr(M_NOWAIT, m->m_type);
 			if (n == NULL)
 				goto out;
 			n->m_len = min(MLEN, len + off);
@@ -2196,7 +2196,7 @@ m_copyback(struct mbuf *m0, int off, int len, caddr_t cp)
 		if (len == 0)
 			break;
 		if (m->m_next == NULL) {
-			n = m_get(MB_DONTWAIT, m->m_type);
+			n = m_get(M_NOWAIT, m->m_type);
 			if (n == NULL)
 				break;
 			n->m_len = min(MLEN, len);
@@ -2240,7 +2240,7 @@ m_append(struct mbuf *m0, int len, c_caddr_t cp)
 		 * Allocate a new mbuf; could check space
 		 * and allocate a cluster instead.
 		 */
-		n = m_get(MB_DONTWAIT, m->m_type);
+		n = m_get(M_NOWAIT, m->m_type);
 		if (n == NULL)
 			break;
 		n->m_len = min(MLEN, remainder);
@@ -2468,7 +2468,7 @@ m_uiomove(struct uio *uio)
 			resid = INT_MAX;
 		else
 			resid = (int)uio->uio_resid;
-		m = m_getl(resid, MB_WAIT, MT_DATA, flags, &nsize);
+		m = m_getl(resid, M_WAITOK, MT_DATA, flags, &nsize);
 		if (flags) {
 			m->m_pkthdr.len = 0;
 			/* Leave room for protocol headers. */
diff --git a/sys/kern/uipc_mbuf2.c b/sys/kern/uipc_mbuf2.c
index 4bd412d..50129ad 100644
--- a/sys/kern/uipc_mbuf2.c
+++ b/sys/kern/uipc_mbuf2.c
@@ -1,5 +1,4 @@
 /*	$FreeBSD: src/sys/kern/uipc_mbuf2.c,v 1.2.2.5 2003/01/23 21:06:44 sam Exp $	*/
-/*	$DragonFly: src/sys/kern/uipc_mbuf2.c,v 1.15 2007/10/20 10:28:44 sephe Exp $	*/
 /*	$KAME: uipc_mbuf2.c,v 1.31 2001/11/28 11:08:53 itojun Exp $	*/
 /*	$NetBSD: uipc_mbuf.c,v 1.40 1999/04/01 00:23:25 thorpej Exp $	*/
 
@@ -142,7 +141,7 @@ m_pulldown(struct mbuf *m, int off, int len, int *offp)
 	 * chop the current mbuf into two pieces, set off to 0.
 	 */
 	if (len <= n->m_len - off) {
-		o = m_dup1(n, off, n->m_len - off, MB_DONTWAIT);
+		o = m_dup1(n, off, n->m_len - off, M_NOWAIT);
 		if (o == NULL) {
 			m_freem(m);
 			return NULL;	/* ENOBUFS */
@@ -201,7 +200,7 @@ m_pulldown(struct mbuf *m, int off, int len, int *offp)
 	 * now, we need to do the hard way.  don't m_copy as there's no room
 	 * on both end.
 	 */
-	o = m_getl(len, MB_DONTWAIT, m->m_type, 0, NULL);
+	o = m_getl(len, M_NOWAIT, m->m_type, 0, NULL);
 	if (!o) {
 		m_freem(m);
 		return NULL;	/* ENOBUFS */
@@ -260,7 +259,7 @@ m_tag_alloc(uint32_t cookie, int type, int len, int wait)
 
 	if (len < 0)
 		return NULL;
-	t = kmalloc(len + sizeof(struct m_tag), M_PACKET_TAGS, MBTOM(wait));
+	t = kmalloc(len + sizeof(struct m_tag), M_PACKET_TAGS, MB_OCFLAG(wait));
 	if (t == NULL)
 		return NULL;
 	t->m_tag_id = type;
